# User Groups

With Wuf it is possible to send notifications to the users who installed the Wuf mobile app on mobile devices.\
\
With User Groups you can create groups of users, and send them the same notification using one single HTTP POST request.

## How to create a User Group

To create a User Group log in to Wuf and select the [User Group](https://www.usewuf.com/groups).

Create a new Group by defining the name.\
Then click on the Add User, and paste the User Key of the user to add to the group.

## How to send a notification to a User Group

To send notifications to a User Group you can use the [Push API endpoint](/reference/api-reference/push.md).

In the payload, use the `userGroupKey`.

## Use cases

User Groups are useful when you know in advance the groups to be added to the group.

For instance, if you have a team, with the Wuf mobile application installed.\
In this case, you can easily collect their User Keys, and add them to a group called "My Team".\
You can integrate Wuf with [Lemon Squeezy](/integrations/lemon-squeezy.md) to automatically send them notifications when a new subscription to your SaaS happens, and improve the mood of your team 🎉


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usewuf.com/reference/user-groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
